Need help downgrading from Mono v6 to v5 for Sonarr/Radarr Topic is solved

Having issues with your DietPi installation, or, found a bug? Post it here.
Post Reply
ainuke
Posts: 14
Joined: Tue Jun 09, 2020 8:44 pm

Need help downgrading from Mono v6 to v5 for Sonarr/Radarr

Post by ainuke »

Pi 4 with SSD formatted in ext4 (not the problem) exporting completed files to Windows server.
SMB shares set up through dietpi config.

Using Sonarr or Radarr to export/rename files to SMB shares, they get a "failed to import" error, and a ~partial file is located in the destination folder. Sonarr/Radarr are able to create the destination folder on the SMB share.

I had the same problem on a Sonarr install that I did on a fresh raspbian install (raspbian+mono+sonarr v2.x) until I installed mono v3, which uses Mono v5 instead of v6.

I LOVE how easy installing everything with DietPi is (fresh install), except that everything is installed with Mono v6, which is broken for me.
I have uninstalled Mono, but in order to get it completely gone, I have to:
sudo apt-get --purge remove mono-*
sudo rm -rf /etc/mono
sudo rm -rf /usr/lib/mono
sudo apt --purge autoremove && sudo apt clean

I can then install Mono v5.20 with a revised sources.list. If I don't do the above, the Mono install fails because it's looking for v6 in the v5 repo that I've specified.

UNFORTUNATELY, all these steps completely bork the sonarr install, and I'm stuck reinstalling it. Probably Radarr as well, I haven't checked. If I manually reinstall Sonarr rebuilding the repository and using apt-get to install, I have no idea what settings (user,group,permissions) that DietPi used originally to install.
If I reinstall through DietPi console, it overwrites the Mono v5 install with v6 and I'm back to square one.

Just to be clear, all the moving parts were functioning properly, from Radarr reading my library on SMB share, adding movie, finding and sending nzb to SABnzbd, downloading, right up to the Mono v6 refusal to export the file to SMB share.

Is there a way to alter the DietPi install scripts to not overwrite the Mono source.list? As it stands, it kills the original one with the v5 repo and creates an new one with just the current stable version repo.

So very frustrated by this...
Official Pi4 4GB
LoveRPi POE HAT, ArgonOne Fan HAT, WD SSD over USB3
SAB, Sonarr, Radarr, Lidarr, Deluge, PIA-VPN

Official Pi4 4GB - attempting Mine OS

"The mistakes you learn from don't have to be your own."
User avatar
Joulinar
Posts: 2076
Joined: Sat Nov 16, 2019 12:49 am

Re: Need help downgrading from Mono v6 to v5 for Sonarr/Radarr

Post by Joulinar »

Hi,

there is no need to open your topic twice. Pls stick to one post.

basically the issue with Sonaar v2 and files on a SMB share is caused by a bug in current mono version 6

https://github.com/MichaIng/DietPi/issues/3529
https://github.com/MichaIng/DietPi/issues/3179

If you really like to install mono v5 right from the beginning, you could adjust dietpi-software script

Code: Select all

nano /boot/dietpi/dietpi-software
Search for line 6582 (Raspberry PI devices) or 6586 (for all other SBC). There you would need to replace the code section to build mono source list like this:

Code: Select all

#                               echo "deb https://download.mono-project.com/repo/debian/ raspbian${G_DISTRO_NAME/bullseye/buster} main" > /etc/apt/sources.list.d/mono-xamarin.list
                                echo "deb https://download.mono-project.com/repo/debian wheezy/snapshots/5.10.1.20 main" > /etc/apt/sources.list.d/mono-xamarin.list
That will pin it to mono v5 and you could install Sonarr as usual using dietpi-software tool

Another option is to switch to Sonaar V3. This should solve the issue as well
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
ainuke
Posts: 14
Joined: Tue Jun 09, 2020 8:44 pm

Re: Need help downgrading from Mono v6 to v5 for Sonarr/Radarr

Post by ainuke »

Thank you for the response, and sorry for the double. After I posted in the other thread I saw that it had been marked as resolved. Also, I saw that their issue was exfat, not cips. I thought I might be hijacking their thread given that the issues were dissimilar. But I hear you and it won’t happen again.

Thank you for the advice altering the deitpi script. I’ll definitely give it a try. Honestly, I’d love to use Sonarr v3 instead of 2, as the UI is much nicer. If I’m not mistaken, though, that would only address my issue with Sonarr, but Radarr (which hasn’t upgraded to v3 yet) would still be using Mono v6. I assume Lidarr would as well (I’m thinking it’s a fork of Sonarr as well and shares its same issues).

Anyway, I’ll give it a go and post my results. Thanks for the help!!
Official Pi4 4GB
LoveRPi POE HAT, ArgonOne Fan HAT, WD SSD over USB3
SAB, Sonarr, Radarr, Lidarr, Deluge, PIA-VPN

Official Pi4 4GB - attempting Mine OS

"The mistakes you learn from don't have to be your own."
User avatar
Joulinar
Posts: 2076
Joined: Sat Nov 16, 2019 12:49 am

Re: Need help downgrading from Mono v6 to v5 for Sonarr/Radarr

Post by Joulinar »

just to keep in mind. dietpi-software script will be overwritten each time you will update to newer DietPi release. 8)
But it should not have any impact as long as you don't install Mono ;)
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
ainuke
Posts: 14
Joined: Tue Jun 09, 2020 8:44 pm

Re: Need help downgrading from Mono v6 to v5 for Sonarr/Radarr

Post by ainuke »

Thank You!
Altering the DietPi install script worked a treat. Sonarr, Radarr, and Lidarr are all running on Mono v5, and I have zero problems with moving/renaming files to my SMB shares. Might I suggest that the official DietPi script be changed to accommodate it, given that it's a known issue with Mono; at least until the bug is fixed in Mono v6? I don't know how much of the other software packages rely on Mono, or if they require v6 for security/functionality, but this takes a broken install and fixes it, without any input from the user (assuming it's part of the official script).
Just my 2 cents

Now that everything is up and running, I can see that Lidarr is using the same UI as Sonarr v3, so I'll probable update Sonarr to that for continuity, and maybe pester the Radarr crew on when their UI is going to be updated. First world problems, amiright?

But anyway, thank you so much for the help and the super-easy installation (mostly ;) ). It was a big improvement over the roll-your-own approach I had spent 2 weeks working on, with marginal success and several elements not functioning properly. DietPi FTW!
Will be donating as a thank you and to support further development.

Erik

EDIT: My issue can be marked as "Solved". I don't see how to do that.
Official Pi4 4GB
LoveRPi POE HAT, ArgonOne Fan HAT, WD SSD over USB3
SAB, Sonarr, Radarr, Lidarr, Deluge, PIA-VPN

Official Pi4 4GB - attempting Mine OS

"The mistakes you learn from don't have to be your own."
User avatar
Joulinar
Posts: 2076
Joined: Sat Nov 16, 2019 12:49 am

Re: Need help downgrading from Mono v6 to v5 for Sonarr/Radarr

Post by Joulinar »

Will be donating as a thank you and to support further development.
Much appreciated your donation

I will mark the issue solved, no problem

Regarding Mono v5 and to have it set as standard: This might lead to issues if there are users having already Mono v6 installed. Not sure what will happen if they like to install some other software depending on Mono. I guess the system will try to set Mono v5 now as source packe but it is not able to install as Mono v6 is already present. The only way around would be to force uninstall Mono v6 for all users and reinstallation of Mono v5 during next DietPi update.
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
Post Reply